Subject: Re: FVWM: fltk window resizing

From: Dan Espen <[email-masked]>
Date: Fri, 07 Feb 2003 00:13:01 -0500

Isaque Galdino de Araujo <[email-masked]> writes:
> On Thu, 06 Feb 2003 21:12:51 -0500 Dan Espen wrote:
> 
> > Isaque Galdino de Araujo <[email-masked]> writes:
> > > Hi guys, I am using the 2.5.5 version and I'm facing a problem using
> > > fltk windows.   When  I increase  the  window  size,  the window  is
> > > notified, but when it shrinks the window isn't.  Do you you know how
> > > to solve that problem?
> > 
> > Is "fltk" the "fast light toolkit" at www.fltk.org?
> Yeah, that's it!
> 
> > I didn't see any fvwm problems in their bug database, but they did
> > have a recently fixed OSX resize bug.
> > 
> > I think its unlikly that Fvwm is doing something different
> > for windows that decrease in size vs. windows that grow in size.
> > What makes you think this is an Fvwm problem?
> Because I've tested the same application in WindowMaker and the problem didn'
> t happen!

Fvwm is sending a ConfigureNotify in both cases, but the client
is waiting for an expose event before it reacts. 

When Fvwm makes the window bigger, the application sees
a configure notify and then an expose event.

When Fvwm makes the window smaller, there's a ConfigureNotify
but no expose event.

Where does the expose event come from?  I don't see it being
generated in Fvwm and the ICCCM says the client should react to
the ConfigureNotify.

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]